Arch Truss/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Использование==")
(Created page with "===Создание с нуля===")
 
(21 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


{{docnav/ru
{{Docnav/ru
|[[Arch_Frame/ru|Frame]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Equipment/ru|Equipement]]
|[[Arch_Profile/ru|Профиль]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|[[Arch_Module/ru|Arch]]
|IconL=Arch_Frame.svg
|IconL=Arch_Fence.svg
|IconR=Arch_Profile.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Equipment.svg
}}
}}


{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Truss
|Name/ru=Ферма
|Name/ru=Arch Truss
|Name=Arch_Truss
|MenuLocation=Arch → Ферма
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|MenuLocation=Arch → Truss
|Version=0.19
|Version=0.19
}}
}}
Line 20: Line 20:
==Описание==
==Описание==


The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected whn launching the command.
The [[Arch_Truss|Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft_Line|Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected when launching the command.


[[Image:Arch Truss example.png|600px]]
[[Image:Arch Truss example.png|600px]]


==Применение==
==Использование==


===Создание из выбранного объекта===
===Creating from a selected object===


# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking




===Creating from scratch===
===Создание с нуля===


# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


==Свойства==
==Properties==


=== Data ===
=== Данные ===


* {{PropertyData|TrussAngle}}: The angle of the truss
* {{PropertyData|TrussAngle}}: The angle of the truss
Line 62: Line 62:
* {{PropertyData|RodMode}}: How to draw the rods
* {{PropertyData|RodMode}}: How to draw the rods


==Программирование==
==Scripting==


The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Truss tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=
Line 70: Line 70:
}}
}}


Пример:
Example:


{{Code|code=
{{Code|code=
Line 86: Line 86:
}}
}}



{{docnav
{{Docnav/ru
|[[Arch_Frame|Frame]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Equipment|Equipment]]
|[[Arch_Profile/ru|Профиль]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Frame.svg
|IconL=Arch_Fence.svg
|IconR=Arch_Profile.svg
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Equipment.svg
}}
}}


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:39, 26 August 2022

Ферма

Системное название
Arch_Truss
Расположение в меню
Arch → Ферма
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Нет

Описание

The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected when launching the command.

Применение

Создание из выбранного объекта

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Создание с нуля

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Свойства

Данные

  • ДанныеTrussAngle: The angle of the truss
  • ДанныеSlantType: The slant type of this truss
  • ДанныеNormal: The normal direction of this truss
  • ДанныеHeightStart: The height of the truss at the start position
  • ДанныеHeightEnd: The height of the truss at the end position
  • ДанныеStrutStartOffset: An optional start offset for the top strut
  • ДанныеStrutEndOffset: An optional end offset for the top strut
  • ДанныеStrutHeight: The height of the main top and bottom elements of the truss
  • ДанныеStrutWidth: The width of the main top and bottom elements of the truss
  • ДанныеRodType: The type of the middle element of the truss
  • ДанныеRodDirection: The direction of the rods
  • ДанныеRodSize: The diameter or side of the rods
  • ДанныеRodSections: The number of rod sections
  • ДанныеRodEnd: If the truss has a rod at its endpoint or not
  • ДанныеRodMode: How to draw the rods

Программирование

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Пример:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties